Subject: Issue dpkg with diff

From: Sergio Sámano <[email-masked]>
Date: Thu, 3 Jan 2019 23:03:40 +0000

Hi

I have some issue related with apt-get update, upgrade, dpkg, are.,  running all of them as root(recovery mode)finished with:

dpkg: warning: 'diff' not found in PATH or no executable
dpkg: error: 1 expected program not found or not executable
Note: root's PATH should usually contain /usr/sbin/ and /sbin

I've checked
#uname -a
Linux debian 4.18.0.3-amd64 #1 SMP Debian 4.18.20-2 (2018-11-23) x86_64 GNU/Linux
#echo $PATH
/usr/local/sbin:/usr/local/bin:/usr/bin:/sbin:/bin

I've modified

/etc/sudoers
Adding the line

Defaults secure_path:"/usr/local/sbin:/usr/local/bin:/usr/bin:/sbin:/bin"

And in /root/.bashrc
Adding  the line

export PATH:/usr/local/sbin:/usr/local/bin:/usr/bin:/sbin:/bin

Also in the file
/etc/profile  (doing match in both lines of PATH)
...
if [ "`id-u`" -eq 0 then]
PATH="/usr/local/sbin:/usr/local/bin:/usr/bin:/sbin:/bin"
else
PATH="/usr/local/sbin:/usr/local/bin:/usr/bin:/sbin:/bin:/usr/local/games:/usr/games"
...

And even after that I get the same

I've tried PATH before the instructions and is the same

Do you know why it is happening?
Do you have any guidance to resolve this?

Thanks in advance

Regards

Sergio Sámano